#!/usr/bin/perl

##############################################################################
#                        << phpBB2 Users On-Line >>                          #
##############################################################################
#  Script:       phpBB2 Users on-Line                                        #
#  Version:      1.0.0 (16.02.2005)                                          #
#  Filename:     phpbb2users.pl                                              #
#  Description:  Fetches users (guests&registered) on-line in a phpBB2 forum #
#  Written by:   Sam Salonen sam@aqua-web.org                                #
#                                                                            #
##############################################################################

use DBI;

# Define the databaseconnection
my $dsn          = 'DBI:mysql:database_name:host_name';
my $db_user_name = 'database_username';
my $db_password  = 'database_password';
my $dbh          = DBI->connect($dsn, $db_user_name, $db_password);

my $sth;

# Fetch number of guest users active in 5 min:

$sth = $dbh->prepare("select count(session_logged_in) as sessions from phpbb_sessions where (session_time + 300) > UNIX_TIMES
TAMP(NOW()) AND session_logged_in=0");
$sth->execute();
my $guests = $sth->fetchrow_array();
$sth->finish();
print "guests:$guests ";


#Fetch number of registered users active in 5 min:

$sth = $dbh->prepare("select count(session_logged_in) as sessions from phpbb_sessions where (session_time + 300) > UNIX_TIMES
TAMP(NOW()) AND session_logged_in=1");
$sth->execute();
my $registered = $sth->fetchrow_array();
$sth->finish();
print "registered:$registered ";
